Subject: bug#50143: 28.0.50; Various issues with `tamil-itrans' input method

From: Eli Zaretskii <[email-masked]>
Date: Thu, 17 Feb 2022 08:33:24 +0200

> From: Visuwesh <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 17 Feb 2022 07:44:52 +0530
> 
> [புதன், பிப்ரவரி 16 2022] Eli Zaretskii wrote:
> 
> > It sounds like a better way forward would be to define a separate
> > input method, so that the existing input method is preserved and can
> > be used if someone wants the current transliterations.
> >
> > So my suggestions would be:
> >
> >  1. For your items 1 and 3, just copy indian-tml-base-table to a new
> >     variable, modify it to include the two missing characters and
> >     replace the digits with nil, add a new variable similar to
> >     indian-tml-itrans-v5-hash, and compute its value like we do with
> >     indian-tml-itrans-v5-hash, but using the new table instead of
> >     indian-tml-base-table.  Then make a new input method, called, say,
> >     tamil-itrans-alt, which would use the new hash variable instead of
> >     indian-tml-itrans-v5-hash.  Submit these changes as patches to
> >     lisp/language/ind-util.el and lisp/leim/quail/indian.el.
> >
> 
> Would it alright to change the default input method used in the Tamil
> language environment to the new IM without digit translation?

Yes, after we make a new input method, it is OK to make it the default
for Tamil.  Users who for some reason want the old one can then
customize their Emacs accordingly.

> >  2. For your item 2, submit a patch that fixes the docstring of the
> >     relevant input methods.
> >
> > Would that work for you?  Can you prepare such patches?
> 
> Yes, that would be satisfactory.  I will look into it in the coming
> weekend.  Thanks.

TIA.